Gecode::space_allocator< T >::rebind< U > Struct Template Reference

Rebinding helper (returns the type of a similar allocator for type U). More...

`#include <allocators.hpp>`

## Public Types

typedef space_allocator< U > | other
| The allocator type for U.

## Detailed Description

template<class T>
template<class U>
struct Gecode::space_allocator< T >::rebind< U >

Rebinding helper (returns the type of a similar allocator for type U).

Definition at line 193 of file allocators.hpp.

## Member Typedef Documentation

## other

template<class T>
template<class U>

typedef space_allocator<U> Gecode::space_allocator< T >::rebind< U >::other

The allocator type for U.

Definition at line 195 of file allocators.hpp.

The documentation for this struct was generated from the following file:

- gecode/kernel/memory/allocators.hpp